Skip to main content
GET
JavaScript

Authorizations

api_key
string
query
required

Coin Metrics API key can be specified as ?api_key= query parameter.

Query Parameters

markets
string[]
required

Comma separated list of markets or market patterns like exchange-* or exchange-*-spot or *USDT-future.
Use a corresponding /catalog-all-v2/market-{dataType} endpoint for the full list of supported markets for a given data type.

depth_limit
enum<string>
default:100

Book depth limit.

Available options:
100,
full_book
backfill
enum<string>
default:latest

What data should be sent upon a connection.
By default the latest values are sent just before real-time data.

Available options:
latest,
none
pretty
boolean
default:false

Human-readable formatting of JSON responses.

Response

default - application/json

Orderbook WebSocket message.

market
string
required

Unique name of the market.

time
string<date-time>
required

The time in ISO 8601 date-time format. Always with nanoseconds precision.

coin_metrics_id
string
required

ID of an order book or quote. It can be generated by Coin Metrics or provided by an exchange. If it is generated by Coin Metrics it is unique. If it is generated by exchange we can't guarantee its uniqueness.

asks
object[]
required

The ask orders on the order book.

bids
object[]
required

The bids orders on the order book.

type
enum<string>
required

Type of the order book.

Available options:
snapshot,
update
collect_time
string<date-time>
required

Time of when the order book was received from the exchange.

cm_sequence_id
string
required

The monotonically increasing message number, resets on disconnection.